## xerces-c 3.1.4+debian

=== debian/changelog ===
xerces-c (3.1.4+debian-2+deb9u1) stretch; urgency=medium

  * Fix CVE-2017-12627: Alberto Garcia, Francisco Oca and Suleman Ali of
    Offensive Research discovered that the Xerces-C XML parser mishandles
    certain kinds of external DTD references, resulting in dereference of a
    NULL pointer while processing the path to the DTD. The bug allows for a
    denial of service attack in applications that allow DTD processing and do
    not prevent external DTD usage, and could conceivably result in remote code
    execution.
  * Fix a regression that forced gcc to use SSE2, even on platforms that do not
    support it (e.g., i386).  This caused program crashes due to invalid CPU
    instructions.

 -- William Blough <devel@blough.us>  Thu, 26 Apr 2018 00:35:59 -0400

xerces-c (3.1.4+debian-2) unstable; urgency=medium

  * Fix AC_LANG_SOURCE warnings.
  * Override dh_auto_clean to also clean generated doc directory.
    Closes: 847799
  * Fix segfault in PSVIWriter. Closes: 715592
  * Use -O1 on s390x to work around Bug: 833754
  * Add hardening=+all build option
  * Remove lintian override that was no longer needed

 -- William Blough <devel@blough.us>  Sun, 11 Dec 2016 14:38:45 -0500

xerces-c (3.1.4+debian-1) unstable; urgency=medium

  * New upstream release
  * Removed patches that are no longer needed (applied upstream)
  * Compile with curl support to allow accessing https urls.  Closes: #821380
  * Added patch to fix some compiler warnings (forwarded upstream)

 -- William Blough <devel@blough.us>  Mon, 07 Nov 2016 20:38:09 -0500

xerces-c (3.1.3+debian-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * CVE-2016-4463: Apache Xerces-C XML Parser Crashes on Malformed DTD
    (Closes: #828990)
  * Enable the ability to disable DTD processing through the use of an env
    variable
  * Add NEWS.Debian entry to document the XERCES_DISABLE_DTD variable

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 01 Jul 2016 14:28:51 +0200

xerces-c (3.1.3+debian-2) unstable; urgency=medium

  * Fix CVE-2016-2099: Exception handling mistake in DTDScanner.
    Closes: #823863
  * Update standards version to 3.9.8 (no changes needed)

 -- William Blough <devel@blough.us>  Tue, 10 May 2016 00:34:51 -0400

=== debian/control ===
Source: xerces-c
Section: libs
Priority: optional
Build-Depends: debhelper (>> 9),
               default-jre-headless | default-jre,
               dh-autoreconf,
               libatk-wrapper-java,
               libcurl4-gnutls-dev,
               libicu-dev,
               libstylebook-java,
               libxalan2-java,
               libxerces2-java
Build-Depends-Indep: doxygen
Maintainer: William Blough <devel@blough.us>
Standards-Version: 3.9.8
Homepage: https://xerces.apache.org/xerces-c/
Vcs-Git: https://bitbucket.org/bblough/xerces-c.git
Vcs-Browser: https://bitbucket.org/bblough/xerces-c/src

Package: libxerces-c3.1
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: validating XML parser library for C++
 Xerces-C++ is a validating XML parser written in a portable subset of
 C++.  Xerces-C++ makes it easy to give your application the ability
 to read and write XML data. A shared library is provided for parsing,
 generating, manipulating, and validating XML documents. Xerces-C++ is
 faithful to the XML 1.0 recommendation and associated standards (DOM
 1.0, DOM 2.0, SAX 1.0, SAX 2.0, Namespaces, XML Schema Part 1 and
 Part 2).  It also provides experimental implementations of XML 1.1
 and DOM Level 3.0.  The parser provides high performance, modularity,
 and scalability.

Package: libxerces-c-dev
Section: libdevel
Provides: libxerces-c3-dev
Architecture: any
Depends: libc6-dev | libc-dev,
         libicu-dev,
         libxerces-c3.1 (= ${binary:Version}),
         ${misc:Depends}
Conflicts: libxerces-c2-dev,
           libxerces25-dev,
           libxerces26-dev,
           libxerces27-dev,
           libxerces28-dev
Suggests: libxerces-c-doc
Description: validating XML parser library for C++ (development files)
 Xerces-C++ is a validating XML parser written in a portable subset of
 C++.  This package contains the development files for Xerces. It also
 contains sources to various sample files.  The libxerces-c-samples
 package contains compiled versions of the samples.

Package: libxerces-c-doc
Section: doc
Architecture: all
Provides: libxerces-c3-doc
Depends: ${misc:Depends}
Suggests: libxerces-c-dev
Description: validating XML parser library for C++ (documentation)
 Xerces-C++ is a validating XML parser written in a portable subset of
 C++.  This package contains the developer documentation, including
 programming guides and API documentation.

Package: libxerces-c-samples
Section: devel
Architecture: any
Provides: libxerces-c3-samples
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: validating XML parser library for C++ (compiled samples)
 Xerces-C++ is a validating XML parser written in a portable subset of
 C++.  This package contains compiled versions of the samples.  You
 probably don't want this package, but it can be useful if you are
 trying to reproduce a problem before reporting a bug that will be
 easy for the xerces developers to reproduce.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)

ifeq ($(DEB_HOST_ARCH), s390x)
	export DEB_CFLAGS_MAINT_STRIP=-O2
	export DEB_CXXFLAGS_MAINT_STRIP=-O2
	export DEB_CFLAGS_MAINT_APPEND=-O1
	export DEB_CXXFLAGS_MAINT_APPEND=-O1
endif

%:
	dh $@ --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- --disable-pretty-make --enable-netaccessor-curl --disable-sse2
	# Note: This disables explicit passing of -msse2 to gcc.  It does not
	# actually disable sse2 extensions for platforms such as x86_64
	# (amd64) which enable sse2 extensions by default.

override_dh_compress:
	dh_compress -plibxerces-c-dev -Xexamples
	dh_compress -plibxerces-c-doc -Xhtml
	dh_compress -plibxerces-c3.1
	dh_compress -plibxerces-c-samples

override_dh_installexamples:
	dh_installexamples -plibxerces-c-dev -X.o -X.deps -X.dirstamp

override_dh_auto_build-indep:
	mkdir -p doc/html
	java -Djava.awt.headless=true -classpath '/usr/share/java/*' \
		org.apache.stylebook.StyleBook "targetDirectory=doc/html" \
		doc/xerces-c_book.xml doc/style
	(cd doc && doxygen Doxyfile)
	rm doc/html/graphics/charter-header.jpg
	rm doc/html/graphics/program-others-3-header.jpg

override_dh_auto_clean:
	rm -rf doc/html
	dh_auto_clean

## xerces-c 3.2.0+debian

=== CMakeLists.txt ===
# CMake build for xerces-c
#
# Written by Roger Leigh <rleigh@codelibre.net>
#
# Licensed to the Apache Software Foundation (ASF) under one or more
# contributor license agreements.  See the NOTICE file distributed with
# this work for additional information regarding copyright ownership.
# The ASF licenses this file to You under the Apache License, Version 2.0
# (the "License"); you may not use this file except in compliance with
# the License.  You may obtain a copy of the License at
#
#      http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

# Run "cmake" to generate the build files for your platform

cmake_minimum_required(VERSION 3.2.0)

# Use new variable expansion policy.
if (POLICY CMP0053)
  cmake_policy(SET CMP0053 NEW)
endif(POLICY CMP0053)
if (POLICY CMP0054)
  cmake_policy(SET CMP0054 NEW)
endif(POLICY CMP0054)
if (POLICY CMP0067)
  cmake_policy(SET CMP0067 NEW)
endif(POLICY CMP0067)

# Try C++14, then fall back to C++11 and C++98.  Used for feature tests
# for optional features.
set(CMAKE_CXX_STANDARD 14)

# Use folders (for IDE project grouping)
set_property(GLOBAL PROPERTY USE_FOLDERS ON)

# Source additional modules from the "cmake" directory
list(APPEND CMAKE_MODULE_PATH
     "${CMAKE_CURRENT_LIST_DIR}/cmake")

# Read version information from configure.ac.
file(STRINGS "${CMAKE_CURRENT_LIST_DIR}/configure.ac" configure
     REGEX "^AC_INIT\\(\\[xerces-c\\],\\[(.*)\\]\\)")
foreach(line IN LISTS configure)
  string(REGEX REPLACE "^AC_INIT\\(\\[xerces-c\\],\\[(.*)\\]\\)" "\\1" xerces_c_version "${line}")
  break()
endforeach()

message(STATUS "Configuring Apache Xerces-C++ version ${xerces_c_version}")

# Project version
project(xerces-c
        VERSION "${xerces_c_version}"
        LANGUAGES C CXX)
enable_testing()

# For autotools header compatibility
set(PACKAGE "${PROJECT_NAME}")
set(PACKAGE_NAME "${PROJECT_NAME}")
set(PACKAGE_TARNAME "${PROJECT_NAME}")
set(PACKAGE_VERSION "${PROJECT_VERSION}")
set(PACKAGE_STRING "${PACKAGE_NAME} ${PACKAGE_VERSION}")
set(PACKAGE_BUGREPORT "c-dev@xerces.apache.org")
set(PACKAGE_URL "https://xerces.apache.org/xerces-c/")

set(EXTRA_DIST
  version.incl
  xerces-c.spec
  xerces-c.pc.in
  CREDITS
  INSTALL
  KEYS
  LICENSE
  NOTICE
  README
  config/pretty-make
  doc
  projects
  reconf
  scripts/createBindingsFormatFromHPP.pl
  scripts/makeStringDefinition.pl
  tools
)

include(GNUInstallDirs)
include(XercesWarnings)
include(XercesIncludes)
include(XercesFunctions)
include(XercesDLL)
include(XercesIntTypes)
include(XercesPathDelimiters)
include(XercesICU)
include(XercesMutexMgrSelection)
include(XercesNetAccessorSelection)
include(XercesMsgLoaderSelection)
include(XercesTranscoderSelection)
include(XercesFileMgrSelection)
include(XercesXMLCh)
include(XercesOperatorDelete)
include(XercesBool)
include(XercesConst)
include(XercesInline)
include(XercesVolatile)
include(XercesLString)
include(XercesNamespaces)
include(XercesStdLibs)
include(XercesStdNamespace)
include(XercesSSE2)
include(XercesPathMax)
include(XercesWChar)
include(XercesIconvConst)
include(XercesLFS)

# Generate headers
configure_file(
  ${CMAKE_CURRENT_SOURCE_DIR}/config.h.cmake.in
  ${CMAKE_CURRENT_BINARY_DIR}/config.h
  @ONLY)
configure_file(
  ${CMAKE_CURRENT_SOURCE_DIR}/src/xercesc/util/Xerces_autoconf_config.hpp.cmake.in
  ${CMAKE_CURRENT_BINARY_DIR}/src/xercesc/util/Xerces_autoconf_config.hpp
  @ONLY)

# Generate pkg-config file
set(pkgconfig-dir "${CMAKE_INSTALL_LIBDIR}/pkgconfig" CACHE STRING "pkg-config installation directory (default ${CMAKE_INSTALL_LIBDIR}/pkgconfig)")
set(PKGCONFIGDIR "${pkgconfig-dir}")

set(prefix "${CMAKE_INSTALL_PREFIX}")
set(exec_prefix "${CMAKE_INSTALL_PREFIX}")
set(libdir "${CMAKE_INSTALL_FULL_LIBDIR}")
set(includedir "${CMAKE_INSTALL_FULL_INCLUDEDIR}")
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/xerces-c.pc.in
               ${CMAKE_CURRENT_BINARY_DIR}/xerces-c.pc)
install(
  FILES ${CMAKE_CURRENT_BINARY_DIR}/xerces-c.pc
  DESTINATION "${PKGCONFIGDIR}"
  COMPONENT "development")

# Process subdirectories
add_subdirectory(doc)
add_subdirectory(src)
add_subdirectory(tests)
add_subdirectory(samples)

# Display configuration summary
message(STATUS "")
message(STATUS "Xerces-C++ configuration summary")
message(STATUS "--------------------------------")
message(STATUS "")
message(STATUS "  Version:                     ${xerces-c_VERSION}")
message(STATUS "  Library version:             ${LIB_VER}")
message(STATUS "  Library interface version D: ${LIB_INTERFACE_VER_D}")
message(STATUS "  Library interface version U: ${LIB_INTERFACE_VER_U}")
message(STATUS "")
message(STATUS "  Installation directory:      ${prefix}")
message(STATUS "  C compiler:                  ${CMAKE_C_COMPILER}")
message(STATUS "  C++ compiler:                ${CMAKE_CXX_COMPILER}")
message(STATUS "")
message(STATUS "  Build shared libraries:      ${BUILD_SHARED_LIBS}")
message(STATUS "  Path delimiters:             \"${path_delims}\"")
message(STATUS "  File Manager:                ${filemgr}")
message(STATUS "  Mutex Manager:               ${mutexmgr}")
message(STATUS "  Transcoder:                  ${transcoder}")
message(STATUS "  NetAccessor:                 ${netaccessor}")
message(STATUS "  Message Loader:              ${msgloader}")

=== doc/CMakeLists.txt ===
# CMake build for xerces-c
#
# Written by Roger Leigh <rleigh@codelibre.net>
#
# Licensed to the Apache Software Foundation (ASF) under one or more
# contributor license agreements.  See the NOTICE file distributed with
# this work for additional information regarding copyright ownership.
# The ASF licenses this file to You under the Apache License, Version 2.0
# (the "License"); you may not use this file except in compliance with
# the License.  You may obtain a copy of the License at
#
#      http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

# Install docs
install(DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/html"
  DESTINATION "${CMAKE_INSTALL_DOCDIR}"
  COMPONENT "development")

# Add createdocs target (if Java is available, plus the needed jars)
find_package(Java COMPONENTS Runtime)
if(Java_FOUND
    AND EXISTS "${PROJECT_SOURCE_DIR}/tools/jars/stylebook-1.0-b2.jar"
    AND EXISTS "${PROJECT_SOURCE_DIR}/tools/jars/xalan.jar"
    AND EXISTS "${PROJECT_SOURCE_DIR}/tools/jars/xerces.jar")
  if(UNIX)
    set(cpsep ":")
  else()
    set(cpsep ";")
  endif()
  set(classpath "${PROJECT_SOURCE_DIR}/tools/jars/stylebook-1.0-b2.jar${cpsep}${PROJECT_SOURCE_DIR}/tools/jars/xalan.jar${cpsep}${PROJECT_SOURCE_DIR}/tools/jars/xerces.jar")
  add_custom_target(createdocs
    COMMAND "${Java_JAVA_EXECUTABLE}" -Djava.awt.headless=true
    -classpath "${classpath}"
    org.apache.stylebook.StyleBook
    "targetDirectory=${CMAKE_CURRENT_SOURCE_DIR}/html"
    ${CMAKE_CURRENT_SOURCE_DIR}/xerces-c_book.xml
    ${CMAKE_CURRENT_SOURCE_DIR}/style
    WORKING_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}"
    )
  set_target_properties(createdocs PROPERTIES FOLDER "Documentation")
endif()

# Add createapidocs target (if doxygen is available)
find_program(DOXYGEN_EXECUTABLE doxygen)
if(DOXYGEN_EXECUTABLE)
  add_custom_target(createapidocs
    COMMAND "${DOXYGEN_EXECUTABLE}" Doxyfile
    WORKING_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}"
    )
  set_target_properties(createapidocs PROPERTIES FOLDER "Documentation")
endif()

# Add docs to IDE
file(GLOB doc_xml
  "${CMAKE_CURRENT_SOURCE_DIR}/*.xml")
file(GLOB doc_style
  "${CMAKE_CURRENT_SOURCE_DIR}/style/dtd/*.ent"
  "${CMAKE_CURRENT_SOURCE_DIR}/style/graphics/*.gif"
  "${CMAKE_CURRENT_SOURCE_DIR}/style/*.xml"
  "${CMAKE_CURRENT_SOURCE_DIR}/style/resources/*.gif"
  "${CMAKE_CURRENT_SOURCE_DIR}/style/stylesheets/*.xsl")

add_custom_target(doc-xml SOURCES ${doc_xml})
set_target_properties(doc-xml PROPERTIES FOLDER "Documentation")
add_custom_target(doc-style SOURCES ${doc_style})
set_target_properties(doc-style PROPERTIES FOLDER "Documentation")

# Source file grouping (for IDE project layout)
set(source_files ${doc_style})
list(SORT source_files)
unset(group_dir)
unset(group_files)
foreach(file IN LISTS source_files)
  get_filename_component(dir "${file}" PATH)
  file(RELATIVE_PATH dir "${CMAKE_CURRENT_SOURCE_DIR}" "${dir}")
  if(group_dir AND NOT dir STREQUAL group_dir)
    if(group_files)
      source_group("${group_dir}" FILES ${group_files})
    endif()
    unset(group_files)
  endif()
  list(APPEND group_files "${file}")
  set(group_dir "${dir}")
endforeach()
if(group_files)
  source_group("${group_dir}" FILES ${group_files})
endif()
unset(group_dir)
unset(group_files)

=== src/CMakeLists.txt ===
# CMake build for xerces-c
#
# Written by Roger Leigh <rleigh@codelibre.net>
#
# Licensed to the Apache Software Foundation (ASF) under one or more
# contributor license agreements.  See the NOTICE file distributed with
# this work for additional information regarding copyright ownership.
# The ASF licenses this file to You under the Apache License, Version 2.0
# (the "License"); you may not use this file except in compliance with
# the License.  You may obtain a copy of the License at
#
#      http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

set(EXTRA_DIST
  stricmp.h
  strnicmp.h
  towlower.h
  towupper.h
  xercesc/NLS
  xercesc/util/Xerces_autoconf_config.hpp.cmake.in
  xercesc/util/Xerces_autoconf_config.hpp.in
  xercesc/util/Xerces_autoconf_config.msvc.hpp
  xercesc/util/Xerces_autoconf_config.borland.hpp
  xercesc/util/MsgLoaders/Win32
  xercesc/util/MsgLoaders/ICU/resources
)

set(missing_sources
  stricmp.c
  stricmp.h
  strnicmp.c
  strnicmp.h
  towlower.c
  towlower.h
  towupper.c
  towupper.h
)

add_custom_target(xerces-c-missing SOURCES ${missing_sources})
set_target_properties(xerces-c-missing PROPERTIES FOLDER "Library")

#libxerces_c_la_LIBADD = ${LTLIBOBJS}

#
# Definition of sources/headers
#

#
#	A line like the following will generate a list of headers
#	for a given directory: (must be issued from src directory)
#		find xercesc/framework -name '*.hpp' -exec echo {} \\ ";"
#		find xercesc/framework -name '*.cpp' -exec echo {} \\ ";"
#

set(dom_headers
  xercesc/dom/DOM.hpp
  xercesc/dom/DOMAttr.hpp
  xercesc/dom/DOMCDATASection.hpp
  xercesc/dom/DOMCharacterData.hpp
  xercesc/dom/DOMComment.hpp
  xercesc/dom/DOMConfiguration.hpp
  xercesc/dom/DOMDocument.hpp
  xercesc/dom/DOMDocumentFragment.hpp
  xercesc/dom/DOMDocumentRange.hpp
  xercesc/dom/DOMDocumentTraversal.hpp
  xercesc/dom/DOMDocumentType.hpp
  xercesc/dom/DOMElement.hpp
  xercesc/dom/DOMEntity.hpp
  xercesc/dom/DOMEntityReference.hpp
  xercesc/dom/DOMError.hpp
  xercesc/dom/DOMErrorHandler.hpp
  xercesc/dom/DOMException.hpp
  xercesc/dom/DOMImplementation.hpp
  xercesc/dom/DOMImplementationList.hpp
  xercesc/dom/DOMImplementationLS.hpp
  xercesc/dom/DOMImplementationRegistry.hpp
  xercesc/dom/DOMImplementationSource.hpp
  xercesc/dom/DOMLocator.hpp
  xercesc/dom/DOMLSException.hpp
  xercesc/dom/DOMLSInput.hpp
  xercesc/dom/DOMLSOutput.hpp
  xercesc/dom/DOMLSParser.hpp
  xercesc/dom/DOMLSParserFilter.hpp
  xercesc/dom/DOMLSResourceResolver.hpp
  xercesc/dom/DOMLSSerializer.hpp
  xercesc/dom/DOMLSSerializerFilter.hpp
  xercesc/dom/DOMMemoryManager.hpp
  xercesc/dom/DOMNamedNodeMap.hpp
  xercesc/dom/DOMNode.hpp
  xercesc/dom/DOMNodeFilter.hpp
  xercesc/dom/DOMNodeIterator.hpp
  xercesc/dom/DOMNodeList.hpp
  xercesc/dom/DOMNotation.hpp
  xercesc/dom/DOMProcessingInstruction.hpp
  xercesc/dom/DOMPSVITypeInfo.hpp
  xercesc/dom/DOMRange.hpp
  xercesc/dom/DOMRangeException.hpp
  xercesc/dom/DOMStringList.hpp
  xercesc/dom/DOMText.hpp
  xercesc/dom/DOMTreeWalker.hpp
  xercesc/dom/DOMTypeInfo.hpp
  xercesc/dom/DOMUserDataHandler.hpp
  xercesc/dom/DOMXPathEvaluator.hpp
  xercesc/dom/DOMXPathException.hpp
  xercesc/dom/DOMXPathExpression.hpp
  xercesc/dom/DOMXPathNamespace.hpp
  xercesc/dom/DOMXPathNSResolver.hpp
  xercesc/dom/DOMXPathResult.hpp
  xercesc/dom/StDOMNode.hpp
)

set(dom_sources
  xercesc/dom/DOMException.cpp
  xercesc/dom/DOMLSException.cpp
  xercesc/dom/DOMRangeException.cpp
  xercesc/dom/DOMXPathException.cpp
)


set(domimpl_headers
  xercesc/dom/impl/DOMAttrImpl.hpp
  xercesc/dom/impl/DOMAttrMapImpl.hpp
  xercesc/dom/impl/DOMAttrNSImpl.hpp
  xercesc/dom/impl/DOMCasts.hpp
  xercesc/dom/impl/DOMCDATASectionImpl.hpp
  xercesc/dom/impl/DOMCharacterDataImpl.hpp
  xercesc/dom/impl/DOMChildNode.hpp
  xercesc/dom/impl/DOMCommentImpl.hpp
  xercesc/dom/impl/DOMConfigurationImpl.hpp
  xercesc/dom/impl/DOMDeepNodeListImpl.hpp
  xercesc/dom/impl/DOMDeepNodeListPool.hpp
  xercesc/dom/impl/DOMDeepNodeListPool.c
  xercesc/dom/impl/DOMDocumentFragmentImpl.hpp
  xercesc/dom/impl/DOMDocumentImpl.hpp
  xercesc/dom/impl/DOMDocumentTypeImpl.hpp
  xercesc/dom/impl/DOMElementImpl.hpp
  xercesc/dom/impl/DOMElementNSImpl.hpp
  xercesc/dom/impl/DOMEntityImpl.hpp
  xercesc/dom/impl/DOMEntityReferenceImpl.hpp
  xercesc/dom/impl/DOMErrorImpl.hpp
  xercesc/dom/impl/DOMImplementationImpl.hpp
  xercesc/dom/impl/DOMImplementationListImpl.hpp
  xercesc/dom/impl/DOMLocatorImpl.hpp
  xercesc/dom/impl/DOMNamedNodeMapImpl.hpp
  xercesc/dom/impl/DOMNodeBase.hpp
  xercesc/dom/impl/DOMNodeIDMap.hpp
  xercesc/dom/impl/DOMNodeImpl.hpp
  xercesc/dom/impl/DOMNodeIteratorImpl.hpp
  xercesc/dom/impl/DOMNodeListImpl.hpp
  xercesc/dom/impl/DOMNodeVector.hpp
  xercesc/dom/impl/DOMNormalizer.hpp
  xercesc/dom/impl/DOMNotationImpl.hpp
  xercesc/dom/impl/DOMParentNode.hpp
  xercesc/dom/impl/DOMProcessingInstructionImpl.hpp
  xercesc/dom/impl/DOMRangeImpl.hpp
  xercesc/dom/impl/DOMStringListImpl.hpp
  xercesc/dom/impl/DOMStringPool.hpp
  xercesc/dom/impl/DOMTextImpl.hpp
  xercesc/dom/impl/DOMTreeWalkerImpl.hpp
  xercesc/dom/impl/DOMTypeInfoImpl.hpp
  xercesc/dom/impl/DOMLSSerializerImpl.hpp
  xercesc/dom/impl/DOMLSInputImpl.hpp
  xercesc/dom/impl/DOMLSOutputImpl.hpp
  xercesc/dom/impl/DOMXPathExpressionImpl.hpp
  xercesc/dom/impl/DOMXPathNSResolverImpl.hpp
  xercesc/dom/impl/DOMXPathResultImpl.hpp
  xercesc/dom/impl/XSDElementNSImpl.hpp
)

set(domimpl_sources
  xercesc/dom/impl/DOMAttrImpl.cpp
  xercesc/dom/impl/DOMAttrMapImpl.cpp
  xercesc/dom/impl/DOMAttrNSImpl.cpp
  xercesc/dom/impl/DOMCDATASectionImpl.cpp
  xercesc/dom/impl/DOMCharacterDataImpl.cpp
  xercesc/dom/impl/DOMChildNode.cpp
  xercesc/dom/impl/DOMCommentImpl.cpp
  xercesc/dom/impl/DOMConfigurationImpl.cpp
  xercesc/dom/impl/DOMDeepNodeListImpl.cpp
  xercesc/dom/impl/DOMDocumentFragmentImpl.cpp
  xercesc/dom/impl/DOMDocumentImpl.cpp
  xercesc/dom/impl/DOMDocumentTypeImpl.cpp
  xercesc/dom/impl/DOMElementImpl.cpp
  xercesc/dom/impl/DOMElementNSImpl.cpp
  xercesc/dom/impl/DOMEntityImpl.cpp
  xercesc/dom/impl/DOMEntityReferenceImpl.cpp
  xercesc/dom/impl/DOMErrorImpl.cpp
  xercesc/dom/impl/DOMImplementationImpl.cpp
  xercesc/dom/impl/DOMImplementationListImpl.cpp
  xercesc/dom/impl/DOMImplementationRegistry.cpp
  xercesc/dom/impl/DOMLocatorImpl.cpp
  xercesc/dom/impl/DOMNamedNodeMapImpl.cpp
  xercesc/dom/impl/DOMNodeIDMap.cpp
  xercesc/dom/impl/DOMNodeImpl.cpp
  xercesc/dom/impl/DOMNodeIteratorImpl.cpp
  xercesc/dom/impl/DOMNodeListImpl.cpp
  xercesc/dom/impl/DOMNodeVector.cpp
  xercesc/dom/impl/DOMNormalizer.cpp
  xercesc/dom/impl/DOMNotationImpl.cpp
  xercesc/dom/impl/DOMParentNode.cpp
  xercesc/dom/impl/DOMProcessingInstructionImpl.cpp
  xercesc/dom/impl/DOMRangeImpl.cpp
  xercesc/dom/impl/DOMStringListImpl.cpp
  xercesc/dom/impl/DOMStringPool.cpp
  xercesc/dom/impl/DOMTextImpl.cpp
  xercesc/dom/impl/DOMTreeWalkerImpl.cpp
  xercesc/dom/impl/DOMTypeInfoImpl.cpp
  xercesc/dom/impl/DOMLSSerializerImpl.cpp
  xercesc/dom/impl/DOMLSInputImpl.cpp
  xercesc/dom/impl/DOMLSOutputImpl.cpp
  xercesc/dom/impl/DOMXPathExpressionImpl.cpp
  xercesc/dom/impl/DOMXPathNSResolverImpl.cpp
  xercesc/dom/impl/DOMXPathResultImpl.cpp
  xercesc/dom/impl/XSDElementNSImpl.cpp
)

set(framework_headers
  xercesc/framework/BinOutputStream.hpp
  xercesc/framework/LocalFileFormatTarget.hpp
  xercesc/framework/LocalFileInputSource.hpp
  xercesc/framework/MemBufFormatTarget.hpp
  xercesc/framework/MemBufInputSource.hpp
  xercesc/framework/MemoryManager.hpp
  xercesc/framework/psvi/PSVIAttribute.hpp
  xercesc/framework/psvi/PSVIAttributeList.hpp
  xercesc/framework/psvi/PSVIElement.hpp
  xercesc/framework/psvi/PSVIHandler.hpp
  xercesc/framework/psvi/PSVIItem.hpp
  xercesc/framework/psvi/XSAnnotation.hpp
  xercesc/framework/psvi/XSAttributeDeclaration.hpp
  xercesc/framework/psvi/XSAttributeGroupDefinition.hpp
  xercesc/framework/psvi/XSAttributeUse.hpp
  xercesc/framework/psvi/XSComplexTypeDefinition.hpp
  xercesc/framework/psvi/XSConstants.hpp
  xercesc/framework/psvi/XSElementDeclaration.hpp
  xercesc/framework/psvi/XSFacet.hpp
  xercesc/framework/psvi/XSIDCDefinition.hpp
  xercesc/framework/psvi/XSModel.hpp
  xercesc/framework/psvi/XSModelGroup.hpp
  xercesc/framework/psvi/XSModelGroupDefinition.hpp
  xercesc/framework/psvi/XSMultiValueFacet.hpp
  xercesc/framework/psvi/XSNamedMap.hpp
  xercesc/framework/psvi/XSNamedMap.c
  xercesc/framework/psvi/XSNamespaceItem.hpp
  xercesc/framework/psvi/XSNotationDeclaration.hpp
  xercesc/framework/psvi/XSObject.hpp
  xercesc/framework/psvi/XSParticle.hpp
  xercesc/framework/psvi/XSSimpleTypeDefinition.hpp
  xercesc/framework/psvi/XSTypeDefinition.hpp
  xercesc/framework/psvi/XSValue.hpp
  xercesc/framework/psvi/XSWildcard.hpp
  xercesc/framework/StdInInputSource.hpp
  xercesc/framework/StdOutFormatTarget.hpp
  xercesc/framework/URLInputSource.hpp
  xercesc/framework/ValidationContext.hpp
  xercesc/framework/Wrapper4DOMLSInput.hpp
  xercesc/framework/Wrapper4InputSource.hpp
  xercesc/framework/XMLAttDef.hpp
  xercesc/framework/XMLAttDefList.hpp
  xercesc/framework/XMLAttr.hpp
  xercesc/framework/XMLBuffer.hpp
  xercesc/framework/XMLBufferMgr.hpp
  xercesc/framework/XMLContentModel.hpp
  xercesc/framework/XMLDocumentHandler.hpp
  xercesc/framework/XMLDTDDescription.hpp
  xercesc/framework/XMLElementDecl.hpp
  xercesc/framework/XMLEntityDecl.hpp
  xercesc/framework/XMLEntityHandler.hpp
  xercesc/framework/XMLErrorCodes.hpp
  xercesc/framework/XMLErrorReporter.hpp
  xercesc/framework/XMLFormatter.hpp
  xercesc/framework/XMLGrammarDescription.hpp
  xercesc/framework/XMLGrammarPool.hpp
  xercesc/framework/XMLGrammarPoolImpl.hpp
  xercesc/framework/XMLNotationDecl.hpp
  xercesc/framework/XMLPScanToken.hpp
  xercesc/framework/XMLRecognizer.hpp
  xercesc/framework/XMLRefInfo.hpp
  xercesc/framework/XMLSchemaDescription.hpp
  xercesc/framework/XMLValidator.hpp
  xercesc/framework/XMLValidityCodes.hpp
)

set(framework_sources
  xercesc/framework/BinOutputStream.cpp
  xercesc/framework/LocalFileFormatTarget.cpp
  xercesc/framework/LocalFileInputSource.cpp
  xercesc/framework/MemBufFormatTarget.cpp
  xercesc/framework/MemBufInputSource.cpp
  xercesc/framework/psvi/PSVIAttribute.cpp
  xercesc/framework/psvi/PSVIAttributeList.cpp
  xercesc/framework/psvi/PSVIElement.cpp
  xercesc/framework/psvi/PSVIItem.cpp
  xercesc/framework/psvi/XSAnnotation.cpp
  xercesc/framework/psvi/XSAttributeDeclaration.cpp
  xercesc/framework/psvi/XSAttributeGroupDefinition.cpp
  xercesc/framework/psvi/XSAttributeUse.cpp
  xercesc/framework/psvi/XSComplexTypeDefinition.cpp
  xercesc/framework/psvi/XSElementDeclaration.cpp
  xercesc/framework/psvi/XSFacet.cpp
  xercesc/framework/psvi/XSIDCDefinition.cpp
  xercesc/framework/psvi/XSModel.cpp
  xercesc/framework/psvi/XSModelGroup.cpp
  xercesc/framework/psvi/XSModelGroupDefinition.cpp
  xercesc/framework/psvi/XSMultiValueFacet.cpp
  xercesc/framework/psvi/XSNamespaceItem.cpp
  xercesc/framework/psvi/XSNotationDeclaration.cpp
  xercesc/framework/psvi/XSObject.cpp
  xercesc/framework/psvi/XSParticle.cpp
  xercesc/framework/psvi/XSSimpleTypeDefinition.cpp
  xercesc/framework/psvi/XSTypeDefinition.cpp
  xercesc/framework/psvi/XSValue.cpp
  xercesc/framework/psvi/XSWildcard.cpp
  xercesc/framework/StdInInputSource.cpp
  xercesc/framework/StdOutFormatTarget.cpp
  xercesc/framework/URLInputSource.cpp
  xercesc/framework/Wrapper4DOMLSInput.cpp
  xercesc/framework/Wrapper4InputSource.cpp
  xercesc/framework/XMLAttDef.cpp
  xercesc/framework/XMLAttDefList.cpp
  xercesc/framework/XMLAttr.cpp
  xercesc/framework/XMLBuffer.cpp
  xercesc/framework/XMLBufferMgr.cpp
  xercesc/framework/XMLContentModel.cpp
  xercesc/framework/XMLDTDDescription.cpp

=== tests/CMakeLists.txt ===
# CMake build for xerces-c
#
# Written by Roger Leigh <rleigh@codelibre.net>
#
# Licensed to the Apache Software Foundation (ASF) under one or more
# contributor license agreements.  See the NOTICE file distributed with
# this work for additional information regarding copyright ownership.
# The ASF licenses this file to You under the Apache License, Version 2.0
# (the "License"); you may not use this file except in compliance with
# the License.  You may obtain a copy of the License at
#
#      http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

# Definitions required for building
add_definitions(
  -DHAVE_CONFIG_H=1
)

# Search the project binary dir for config.h
include_directories(
  ${PROJECT_BINARY_DIR}
  ${PROJECT_SOURCE_DIR}/src
  ${PROJECT_BINARY_DIR}/src
  ${CMAKE_CURRENT_SOURCE_DIR}
)

set(EXTRA_DIST
  src/DOM/Normalizer/expectedOutput
  src/DOM/TypeInfo/data/combined.dtd
  src/DOM/TypeInfo/data/combined.xml
  src/DOM/TypeInfo/data/combined.xsd
  src/DOM/TypeInfo/data/SecondSchema.xsd
  src/DOM/TypeInfo/data/TypeInfo.dtd
  src/DOM/TypeInfo/data/TypeInfo.xml
  src/DOM/TypeInfo/data/TypeInfo.xsd
  src/DOM/TypeInfo/data/TypeInfoJustDTD.xml
  src/DOM/TypeInfo/data/TypeInfoNoDTD.xml
  src/DOM/TypeInfo/data/TypeInfoNoDTD.xsd
  src/XSTSHarness/regression
  src/xinclude
)

macro(add_test_executable name)
  add_executable(${name} ${ARGN})
  target_link_libraries(${name} xerces-c)
  set_target_properties(${name} PROPERTIES FOLDER "Tests")
  list(APPEND test_programs ${name})
endmacro()

add_test_executable(DOMTest
  src/DOM/DOMTest/DTest.cpp
  src/DOM/DOMTest/DTest.h
)

add_test_executable(DOMMemTest
  src/DOM/DOMMemTest/DOMMemTest.cpp
)

add_test_executable(Normalizer
  src/DOM/Normalizer/Normalizer.cpp
  src/DOM/Normalizer/Normalizer.hpp
)

add_test_executable(RangeTest
  src/DOM/RangeTest/RangeTest.cpp
  )

add_test_executable(DOMTraversalTest
  src/DOM/Traversal/Traversal.cpp
)

add_test_executable(DOMTypeInfoTest
  src/DOM/TypeInfo/TypeInfo.cpp
  src/DOM/TypeInfo/TypeInfo.hpp
)

add_test_executable(EncodingTest
  src/EncodingTest/EncodingTest.cpp
)

add_test_executable(InitTermTest
  src/InitTermTest/InitTermTest.cpp
  src/InitTermTest/InitTermTest.hpp
)

add_test_executable(MemHandlerTest
  src/MemHandlerTest/MemoryMonitor.cpp
  src/MemHandlerTest/MemoryMonitor.hpp
  src/MemHandlerTest/SimpleValueHashTableOf.hpp
)

add_test_executable(NetAccessorTest
  src/NetAccessorTest/NetAccessorTest.cpp
)

# Doesn't compile under gcc4 for some reason
# dcargill says this is obsolete and we can delete it.
#add_test_executable(ParserTest
#  src/ParserTest/ParserTest.cpp
#  src/ParserTest/ParserTest.hpp
#  src/ParserTest/ParserTest_Parser.cpp
#  src/ParserTest/ParserTest_Parser.hpp
#)

add_test_executable(ThreadTest
  src/ThreadTest/ThreadTest.cpp
)

# Fails to compile under gcc 4 (ambiguous calls to NullPointerException)
# dcargill says this is obsolete and we can delete it.
#add_test_executable(UtilTests
#  src/UtilTests/CoreTests_BitSet.cpp
#  src/UtilTests/CoreTests_CountedPointer.cpp
#  src/UtilTests/CoreTests_RefArray.cpp
#  src/UtilTests/CoreTests_RefHashTable.cpp
#  src/UtilTests/CoreTests_RefStack.cpp
#  src/UtilTests/CoreTests_RefVector.cpp
#  src/UtilTests/CoreTests_String.cpp
#  src/UtilTests/CoreTests_Transcoders.cpp
#  src/UtilTests/CoreTests_URL.cpp
#  src/UtilTests/CoreTests_ValueArray.cpp
#  src/UtilTests/CoreTests_ValueStack.cpp
#  src/UtilTests/CoreTests_ValueVector.cpp
#  src/UtilTests/CoreTestsMain.cpp
#  src/UtilTests/CoreTests.hpp
#)

add_test_executable(XSerializerTest
  src/XSerializerTest/XSerializerHandlers.cpp
  src/XSerializerTest/XSerializerHandlers.hpp
  src/XSerializerTest/XSerializerTest.cpp
  src/XSerializerTest/XSerializerTest.hpp
)

add_test_executable(XSTSHarness
  src/XSTSHarness/XSTSHarness.cpp
  src/XSTSHarness/XSTSHarness.hpp
  src/XSTSHarness/XSTSHarnessHandlers.cpp
  src/XSTSHarness/XSTSHarnessHandlers.hpp
  src/XSTSHarness/XMLHarnessHandlers.cpp
  src/XSTSHarness/XMLHarnessHandlers.hpp
)

# Fails to compile under gcc4 (values too long for long type)
add_test_executable(XSValueTest
  src/XSValueTest/XSValueTest.cpp
  src/XSValueTest/XSValueTest.hpp
)

if(XERCES_XMLCH_T STREQUAL "char16_t")
  add_test_executable(Char16Test
    src/Char16Test/Char16Test.cpp
  )
  if(MSVC)
    set_target_properties(Char16Test PROPERTIES COMPILE_FLAGS "/utf-8")
  endif()
endif()

# Run tests
include(XercesTest)

add_xerces_test(DOMTest          COMMAND DOMTest)
add_xerces_test(DOMMemTest       COMMAND DOMMemTest)
add_xerces_test(RangeTest        COMMAND RangeTest)
add_xerces_test(DOMTraversalTest COMMAND DOMTraversalTest)
add_xerces_test(XSerializerTest  COMMAND XSerializerTest EXPECT_FAIL)
add_xerces_test(XSerializerTest1 COMMAND XSerializerTest -v=never  personal.xml)
add_xerces_test(XSerializerTest2 COMMAND XSerializerTest -v=always personal.xml)
add_xerces_test(XSerializerTest3 COMMAND XSerializerTest -v=never  personal-schema.xml)
add_xerces_test(XSerializerTest4 COMMAND XSerializerTest -v=always personal-schema.xml)
add_xerces_test(XSerializerTest5 COMMAND XSerializerTest -v=always -f personal-schema.xml)
add_xerces_test(XSValueTest      COMMAND XSValueTest)

add_xerces_test(InitTermTest     COMMAND InitTermTest EXPECT_FAIL)
add_xerces_test(InitTermTest1    COMMAND InitTermTest personal.xml)
add_xerces_test(InitTermTest2    COMMAND InitTermTest -n -s personal-schema.xml)
add_xerces_test(InitTermTest3    COMMAND InitTermTest -n -s -f personal-schema.xml)

add_xerces_test(ThreadTest       COMMAND ThreadTest EXPECT_FAIL)
add_xerces_test(ThreadTest1      COMMAND ThreadTest -parser=sax               -v=never  -quiet -threads 10 -time 20 personal.xml)
add_xerces_test(ThreadTest2      COMMAND ThreadTest -parser=dom               -v=never  -quiet -threads 10 -time 20 personal.xml)
add_xerces_test(ThreadTest3      COMMAND ThreadTest -parser=sax2              -v=never  -quiet -threads 10 -time 20 personal.xml)
add_xerces_test(ThreadTest4      COMMAND ThreadTest -parser=sax               -v=always -quiet -threads 10 -time 20 personal.xml)
add_xerces_test(ThreadTest5      COMMAND ThreadTest -parser=dom               -v=always -quiet -threads 10 -time 20 personal.xml)
add_xerces_test(ThreadTest6      COMMAND ThreadTest -parser=sax2              -v=always -quiet -threads 10 -time 20 personal.xml)
add_xerces_test(ThreadTest7      COMMAND ThreadTest -parser=sax  -gc          -v=always -quiet -threads 10 -time 20 personal.xml)
add_xerces_test(ThreadTest8      COMMAND ThreadTest -parser=dom  -gc          -v=always -quiet -threads 10 -time 20 personal.xml)
add_xerces_test(ThreadTest9      COMMAND ThreadTest -parser=sax2 -gc          -v=always -quiet -threads 10 -time 20 personal.xml)
add_xerces_test(ThreadTest10     COMMAND ThreadTest -parser=sax  -n -s -f     -v=always -quiet -threads 10 -time 20 personal-schema.xml)
add_xerces_test(ThreadTest11     COMMAND ThreadTest -parser=dom  -n -s -f     -v=always -quiet -threads 10 -time 20 personal-schema.xml)
add_xerces_test(ThreadTest12     COMMAND ThreadTest -parser=sax2 -n -s -f     -v=always -quiet -threads 10 -time 20 personal-schema.xml)
add_xerces_test(ThreadTest13     COMMAND ThreadTest -parser=sax  -gc -n -s -f -v=always -quiet -threads 10 -time 20 personal-schema.xml)
add_xerces_test(ThreadTest14     COMMAND ThreadTest -parser=dom  -gc -n -s -f -v=always -quiet -threads 10 -time 20 personal-schema.xml)
add_xerces_test(ThreadTest15     COMMAND ThreadTest -parser=sax2 -gc -n -s -f -v=always -quiet -threads 10 -time 20 personal-schema.xml)

add_xerces_test(MemHandlerTest   COMMAND MemHandlerTest EXPECT_FAIL)
add_xerces_test(MemHandlerTest1  COMMAND MemHandlerTest -v=always -n -r=2 personal.xml)
add_xerces_test(MemHandlerTest2  COMMAND MemHandlerTest -v=always -n -r=2 -s -f personal-schema.xml)

add_xerces_test(DOMTypeInfoTest WORKING_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/src/DOM/TypeInfo" COMMAND DOMTypeInfoTest)

if(XERCES_XMLCH_T STREQUAL "char16_t")
  add_xerces_test(Char16Test       COMMAND Char16Test)
endif()

=== debian/changelog ===
xerces-c (3.2.0+debian-2) unstable; urgency=medium

  * Upload to unstable

 -- William Blough <devel@blough.us>  Fri, 10 Nov 2017 14:04:36 -0500

xerces-c (3.2.0+debian-1) experimental; urgency=medium

  * New upstream version
  * Update to policy 4.1.1
    - Change d/copyright Format URL to use https
  * Remove patches that have been applied upstream
  * Set dh compat to 10
  * Patch: Fix test failures for parallel builds (forwarded)

 -- William Blough <devel@blough.us>  Thu, 12 Oct 2017 01:49:25 -0400

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: xerces-c
 Section: libs
 Priority: optional
-Build-Depends: debhelper (>> 9),
+Build-Depends: debhelper (>> 10),
                default-jre-headless | default-jre,
-               dh-autoreconf,
                libatk-wrapper-java,
                libcurl4-gnutls-dev,
                libicu-dev,
@@ -12,12 +11,12 @@
                libxerces2-java
 Build-Depends-Indep: doxygen
 Maintainer: William Blough <devel@blough.us>
-Standards-Version: 3.9.8
+Standards-Version: 4.1.1
 Homepage: https://xerces.apache.org/xerces-c/
 Vcs-Git: https://bitbucket.org/bblough/xerces-c.git
 Vcs-Browser: https://bitbucket.org/bblough/xerces-c/src
 
-Package: libxerces-c3.1
+Package: libxerces-c3.2
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -39,7 +38,7 @@
 Architecture: any
 Depends: libc6-dev | libc-dev,
          libicu-dev,
-         libxerces-c3.1 (= ${binary:Version}),
+         libxerces-c3.2 (= ${binary:Version}),
          ${misc:Depends}
 Conflicts: libxerces-c2-dev,
            libxerces25-dev,

=== debian/rules ===
--- 
+++ 
@@ -15,15 +15,12 @@
 	dh $@ --with autoreconf
 
 override_dh_auto_configure:
-	dh_auto_configure -- --disable-pretty-make --enable-netaccessor-curl --disable-sse2
-	# Note: This disables explicit passing of -msse2 to gcc.  It does not
-	# actually disable sse2 extensions for platforms such as x86_64
-	# (amd64) which enable sse2 extensions by default.
+	dh_auto_configure -- --disable-pretty-make --enable-netaccessor-curl
 
 override_dh_compress:
 	dh_compress -plibxerces-c-dev -Xexamples
 	dh_compress -plibxerces-c-doc -Xhtml
-	dh_compress -plibxerces-c3.1
+	dh_compress -plibxerces-c3.2
 	dh_compress -plibxerces-c-samples
 
 override_dh_installexamples:

## xerces-c 3.2.1+debian

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -25,9 +25,8 @@
   xercesc/NLS
   xercesc/util/Xerces_autoconf_config.hpp.cmake.in
   xercesc/util/Xerces_autoconf_config.hpp.in
-  xercesc/util/Xerces_autoconf_config.msvc.hpp
-  xercesc/util/Xerces_autoconf_config.borland.hpp
-  xercesc/util/MsgLoaders/Win32
+  xercesc/util/XercesVersion.hpp.cmake.in
+  xercesc/util/XercesVersion.hpp.in
   xercesc/util/MsgLoaders/ICU/resources
 )
 
@@ -329,3 +328,5 @@
   xercesc/framework/XMLBufferMgr.cpp
   xercesc/framework/XMLContentModel.cpp
   xercesc/framework/XMLDTDDescription.cpp
+  xercesc/framework/XMLElementDecl.cpp
+  xercesc/framework/XMLEntityDecl.cpp

=== debian/changelog ===
xerces-c (3.2.1+debian-2) unstable; urgency=medium

  * Fixes regression related to SSE2 detection/support, which
    causes a baseline violation on i386.  Closes: 895068
  * Update to policy 4.1.4 (no changes)
  * Update to debhelper compat 11
  * Simplify installation of NOTICE files

 -- William Blough <devel@blough.us>  Thu, 26 Apr 2018 01:02:02 -0400

xerces-c (3.2.1+debian-1) unstable; urgency=medium

  * New upstream release.  Closes: 891841
    Fixes CVE-2017-12627  Closes: 894050
  * Update to policy 4.1.3 (no changes)
  * Remove patch that was applied upstream
  * Lintian fixes:
    - remove trailing whitespace in changelog
    - install NOTICE file
    - change watch file to use https

 -- William Blough <devel@blough.us>  Wed, 28 Mar 2018 17:56:05 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: xerces-c
 Section: libs
 Priority: optional
-Build-Depends: debhelper (>> 10),
+Build-Depends: debhelper (>> 11),
                default-jre-headless | default-jre,
                libatk-wrapper-java,
                libcurl4-gnutls-dev,
@@ -11,7 +11,7 @@
                libxerces2-java
 Build-Depends-Indep: doxygen
 Maintainer: William Blough <devel@blough.us>
-Standards-Version: 4.1.1
+Standards-Version: 4.1.4
 Homepage: https://xerces.apache.org/xerces-c/
 Vcs-Git: https://bitbucket.org/bblough/xerces-c.git
 Vcs-Browser: https://bitbucket.org/bblough/xerces-c/src

=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,10 @@
 	dh $@ --with autoreconf
 
 override_dh_auto_configure:
-	dh_auto_configure -- --disable-pretty-make --enable-netaccessor-curl
+	dh_auto_configure -- --disable-pretty-make --enable-netaccessor-curl --disable-sse2
+	# Note: This disables explicit passing of -msse2 to gcc.  It does not
+	# actually disable sse2 extensions for platforms such as x86_64
+	# (amd64) which enable sse2 extensions by default.
 
 override_dh_compress:
 	dh_compress -plibxerces-c-dev -Xexamples
@@ -25,6 +28,9 @@
 
 override_dh_installexamples:
 	dh_installexamples -plibxerces-c-dev -X.o -X.deps -X.dirstamp
+
+override_dh_installdocs:
+	dh_installdocs -A NOTICE
 
 override_dh_auto_build-indep:
 	mkdir -p doc/html

## xerces-c 3.2.2+debian

=== debian/changelog ===
xerces-c (3.2.2+debian-1ubuntu0.2) focal-security; urgency=medium

  * SECURITY UPDATE: integer overflows in DFAContentModel class
    - debian/patches/CVE-2023-37536.patch: add limit checks to DFAContentModel
      class methods and resolve issue XERCESC-2241.
    - CVE-2023-37536

 -- Camila Camargo de Matos <camila.camargodematos@canonical.com>  Tue, 16 Jan 2024 13:39:29 -0300

xerces-c (3.2.2+debian-1ubuntu0.1) focal-security; urgency=medium

  * SECURITY UPDATE: use-after-free on external DTD scan
    - debian/patches/CVE-2018-1311.patch: resolve issue XERCESC-2188.
    - CVE-2018-1311
  * debian/patches/correct-test-name.patch: fix test name argument in
    ThreadTest8 script.

 -- Camila Camargo de Matos <camila.camargodematos@canonical.com>  Mon, 08 Jan 2024 15:36:44 -0300

xerces-c (3.2.2+debian-1build3) focal; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 03 Mar 2020 21:42:52 +0100

xerces-c (3.2.2+debian-1build2) focal; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 13 Feb 2020 10:01:48 +0100

xerces-c (3.2.2+debian-1build1) disco; urgency=medium

  * No-change rebuild for icu soname changes.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 13 Nov 2018 08:21:56 +0000

xerces-c (3.2.2+debian-1) unstable; urgency=medium

  * New upstream version 3.2.2+debian Closes: 909202
  * Add gbp.conf
  * Update VCS URLs
  * Update maintainer email
  * Remove duplicate VCS URL
  * Update standards to 4.2.1 (no changes needed)

 -- William Blough <bblough@debian.org>  Wed, 19 Sep 2018 15:19:49 -0400

=== debian/control ===
--- 
+++ 
@@ -10,11 +10,13 @@
                libxalan2-java,
                libxerces2-java
 Build-Depends-Indep: doxygen
-Maintainer: William Blough <devel@blough.us>
-Standards-Version: 4.1.4
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: William Blough <bblough@debian.org>
+Standards-Version: 4.2.1
+Vcs-Browser: https://salsa.debian.org/bblough/xerces-c
+Vcs-Git: https://salsa.debian.org/bblough/xerces-c.git
 Homepage: https://xerces.apache.org/xerces-c/
-Vcs-Git: https://bitbucket.org/bblough/xerces-c.git
-Vcs-Browser: https://bitbucket.org/bblough/xerces-c/src
+
 
 Package: libxerces-c3.2
 Architecture: any

=== debian/watch ===
version=3

opts=pgpsigurlmangle=s/$/.asc/,dversionmangle=s/\+debian// \
https://www.apache.org/dist/xerces/c/3/sources/xerces-c-([\d\.]*)\.tar\.gz

## xerces-c 3.2.2+debian.1

=== debian/changelog ===
xerces-c (3.2.2+debian.1-1+dde) unstable; urgency=medium

  * update

 -- William Blough <bblough@debian.org>  Fri, 30 Apr 2021 13:33:17 +0800

xerces-c (3.2.2+debian.1-1+dde) buster; urgency=medium

  * Non-maintainer upload.
  * fix CVE-2018-1311

 -- zhouzilong <zhouzilong@uniontech.com>  Fri, 30 Apr 2021 13:24:29 +0800

xerces-c (3.2.2+debian-1+deb10u1) buster-security; urgency=high

  * Non-maintainer upload.
  * CVE-2018-1311 mitigation: fix use-after-free vulnerability when
    processing external DTD, at the expense of a memory leak.  Users may
    mitigate both by setting the XERCES_DISABLE_DTD environment variable.

 -- Sylvain Beucler <beuc@debian.org>  Tue, 15 Dec 2020 15:55:44 +0100

## xerces-c 3.2.3%2Bdebian

=== debian/changelog ===
xerces-c (3.2.3+debian-3ubuntu0.1) jammy-security; urgency=medium

  * SECURITY UPDATE: use-after-free on external DTD scan
    - debian/patches/CVE-2018-1311-mitigation.patch: remove CVE-2018-1311 fix
      that also introduces memory leak.
    - debian/patches/series: update series file to remove
      CVE-2018-1311-mitigation.patch from the patch list.
    - debian/patches/CVE-2018-1311.patch: resolve issue XERCESC-2188.
    - CVE-2018-1311
  * SECURITY UPDATE: integer overflows in DFAContentModel class
    - debian/patches/CVE-2023-37536.patch: add limit checks to DFAContentModel
      class methods and resolve issue XERCESC-2241.
    - CVE-2023-37536

 -- Camila Camargo de Matos <camila.camargodematos@canonical.com>  Wed, 17 Jan 2024 07:41:34 -0300

xerces-c (3.2.3+debian-3build1) jammy; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 09 Feb 2022 05:42:31 +0100

xerces-c (3.2.3+debian-3) unstable; urgency=medium

  * Fix MemHandlerTest1 on 32-bit systems to compensate for CVE-2018-1311 fix

 -- William Blough <bblough@debian.org>  Mon, 14 Dec 2020 11:43:13 -0500

xerces-c (3.2.3+debian-2) unstable; urgency=medium

  [ Sylvain Beucler ]
  * CVE-2018-1311 mitigation: fix use-after-free vulnerability when
    processing external DTD, at the expense of a memory leak.  Users may
    mitigate both by setting the XERCES_DISABLE_DTD environment variable.

  [ William Blough ]
  * Update d/watch to v4
  * Update standards version to 4.5.1 (no changes)

 -- William Blough <bblough@debian.org>  Fri, 11 Dec 2020 11:22:23 -0500

xerces-c (3.2.3+debian-1) unstable; urgency=medium

  * New upstream version 3.2.3+debian

 -- William Blough <bblough@debian.org>  Sat, 11 Apr 2020 15:34:02 -0400

xerces-c (3.2.2+debian-3) unstable; urgency=medium

  * Bump version for source-only upload

 -- William Blough <bblough@debian.org>  Sun, 22 Mar 2020 14:31:48 -0400

xerces-c (3.2.2+debian-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Drop unnecessary dependency on dh-autoreconf.

  [ William Blough ]
  * Move Java-related Build-Depends (for docs) to Build-Depends-Indep.
    Closes: 947899
  * Remove optimization bug workaround for s390x, since the bug no longer
    appears to be present.  Closes: 833754
  * Update standards to 4.5.0 (no changes)
  * Build-Depend on debhelper-compat instead of using debian/compat
  * Update to debhelper 12
  * Add a simple autopkgtest to verify that programs using xerces-c can
    be built.
  * Mark -doc package as Multi-Arch: foreign
  * Mark -dev package as Multi-Arch: same

 -- William Blough <bblough@debian.org>  Tue, 17 Mar 2020 17:05:41 -0400
